interface Identifiable {
    identifier?: string;
}
interface IReducer {
    featureKey: string;
    selectAll: any;
}
export declare abstract class MonkeyEcxCommonsSelectors {
    static getSelectors<T extends Identifiable>(reducer: IReducer): {
        selectState: import("@ngrx/store").MemoizedSelector<object, unknown, import("@ngrx/store").DefaultProjectorFn<unknown>>;
        selectAll: any;
        selectData: () => import("@ngrx/store").MemoizedSelector<object, any, import("@ngrx/store").DefaultProjectorFn<any>>;
        selectControl: () => import("@ngrx/store").MemoizedSelector<object, any, import("@ngrx/store").DefaultProjectorFn<any>>;
        selectLinks: (props?: {
            identifier: string;
        } | undefined) => import("@ngrx/store").MemoizedSelector<object, any, import("@ngrx/store").DefaultProjectorFn<any>>;
        selectByIdentifier: (props: {
            identifier: string;
        }) => import("@ngrx/store").MemoizedSelector<unknown, T[], import("@ngrx/store").DefaultProjectorFn<T[]>>;
        selectOneByIdentifier: (props: {
            identifier: string;
        }) => import("@ngrx/store").MemoizedSelector<unknown, T | null, import("@ngrx/store").DefaultProjectorFn<T | null>>;
        selectPage: (props?: {
            identifier: string;
        } | undefined) => import("@ngrx/store").MemoizedSelector<object, any, import("@ngrx/store").DefaultProjectorFn<any>>;
        linksHasDifference: (props: {
            identifier: string;
            url: string;
        }) => import("@ngrx/store").MemoizedSelector<object, any, import("@ngrx/store").DefaultProjectorFn<any>>;
    };
}
export {};
