import { TranslateService } from '@ngx-translate/core';
import { MonkeyEcxConfig } from '../../interfaces/monkeyecx-config';
import { MonkeyEcxCommonsService } from '../commons';
import { MonkeyEcxErrorConfigService } from '../config/monkeyecx-error-config.service';
import { MonkeyEcxService } from '../monkeyecx-service.service';
import { MonkeyEcxTokenStorageService } from '../storage/monkeyecx-token-storage.service';
import * as i0 from "@angular/core";
export declare class MonkeyEcxi18nConfigService extends MonkeyEcxCommonsService {
    private translateService;
    private monkeyecxErrorConfigService;
    private i18nNotFound;
    constructor(monkeyecxService: MonkeyEcxService, tokenStorage: MonkeyEcxTokenStorageService, translateService: TranslateService, monkeyecxErrorConfigService: MonkeyEcxErrorConfigService);
    private loadInternalDefaultFromError;
    private loadDefaultFromError;
    private loadAuth;
    private loadAlerts;
    private loadShared;
    private loadRegister;
    private loadInternal;
    apply(environment: any): Promise<void>;
    applyExternal(params: MonkeyEcxConfig, lang: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxi18nConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxi18nConfigService>;
}
